--- old/usr/src/uts/common/sys/usb/usba/usba_types.h	Sun Apr 12 08:56:16 2015
+++ new/usr/src/uts/common/sys/usb/usba/usba_types.h	Sun Apr 12 08:56:16 2015
@@ -20,6 +20,8 @@
  *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 #ifndef	_SYS_USB_USBA_USBA_TYPES_H
@@ -226,16 +228,6 @@
 } usb_client_dev_data_list_t;
 
 /*
- * wireless usb specific data
- */
-typedef struct usba_wireless_data {
-	uint8_t			*wusb_bos;	/* raw bos descr */
-	uint_t			wusb_bos_length; /* length of bos descr */
-	usb_uwb_cap_descr_t	*uwb_descr;	/* UWB capability descr */
-} usba_wireless_data_t;
-
-
-/*
  * This	structure uniquely identifies a USB device
  * with all interfaces,	or just one interface of a USB device.
  * usba_device is associated with a devinfo node
@@ -303,11 +295,6 @@
 	uchar_t			usb_n_cfgs;
 	uchar_t			usb_n_ifs;
 
-	/* To support WUSB */
-	boolean_t		usb_is_wa;
-	boolean_t		usb_is_wireless;
-	usba_wireless_data_t	*usb_wireless_data;
-
 	/*
 	 * power drawn from hub, if > 0, the power has been
 	 * subtracted from the parent hub's power budget
@@ -356,7 +343,6 @@
 
 _NOTE(MUTEX_PROTECTS_DATA(usba_device::usb_mutex, usba_device))
 _NOTE(MUTEX_PROTECTS_DATA(usba_device::usb_mutex, usba_evdata))
-_NOTE(MUTEX_PROTECTS_DATA(usba_device::usb_mutex, usba_wireless_data))
 
 _NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
 				usba_evdata::ev_rm_cb_id))
@@ -367,13 +353,6 @@
 _NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
 				usba_evdata::ev_resume_cb_id))
 
-_NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
-				usba_wireless_data::wusb_bos))
-_NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
-				usba_wireless_data::wusb_bos_length))
-_NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
-				usba_wireless_data::uwb_descr))
-
 /* this should be really stable data */
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_serialno_str))
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_root_hub_dip))
@@ -405,9 +384,6 @@
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_client_attach_list))
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_client_ev_cb_list))
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_dip))
-_NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_is_wireless))
-_NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_wireless_data))
-_NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_is_wa))
 _NOTE(SCHEME_PROTECTS_DATA("set at device creation",
 					usba_device::usb_shared_taskq))
 
